org.eclipse.net4j.util.security

## Interface IPasswordCredentials

- All Superinterfaces:
    ICredentials, IUserAware
  All Known Subinterfaces:
    IPasswordCredentialsUpdate
  All Known Implementing Classes:
    PasswordCredentials, PasswordCredentialsUpdate

      public interface IPasswordCredentials
      extends ICredentials

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getPassword()`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Method Detail

    - #### getPassword

          char[] getPassword()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html